## grendel.storage.mdb
Interface nsIMdbCollection

All Known Subinterfaces:
  nsIMdbRow, nsIMdbTable

public abstract interface nsIMdbCollection
extends nsIMdbObject

Method Summary
`void` | `BecomeContent(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`void` | `DropActivity(nsIMdbEnv ev)`
`int` | `GetCount(nsIMdbEnv ev)`
`nsIMdbCursor` | `GetCursor(nsIMdbEnv ev, int inMemberPos)`
`grendel.storage.mdb.mdbOid` | `GetOid(nsIMdbEnv ev)`
`nsIMdbPort` | `GetPort(nsIMdbEnv ev)`
`int` | `GetSeed(nsIMdbEnv ev)`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### GetSeed

    public int GetSeed(nsIMdbEnv ev)

### GetCount

    public int GetCount(nsIMdbEnv ev)

### GetPort

    public nsIMdbPort GetPort(nsIMdbEnv ev)

### GetCursor

    public nsIMdbCursor GetCursor(nsIMdbEnv ev,
                                  int inMemberPos)

### GetOid

    public grendel.storage.mdb.mdbOid GetOid(nsIMdbEnv ev)

### BecomeContent

    public void BecomeContent(nsIMdbEnv ev,
                              grendel.storage.mdb.mdbOid inOid)

### DropActivity

    public void DropActivity(nsIMdbEnv ev)